- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#body.BatchCreateDaiAuthenticationKeysResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#body.aspect)
- [CreateDaiAuthenticationKeyRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#CreateDaiAuthenticationKeyRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#CreateDaiAuthenticationKeyRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#try-it)

Batch creates `DaiAuthenticationKey` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/daiAuthenticationKeys:batchCreate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `DaiAuthenticationKeys` will be created. Format: `networks/{networkCode}` The parent field in the CreateDaiAuthenticationKeyRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#CreateDaiAuthenticationKeyRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys/batchCreate#CreateDaiAuthenticationKeyRequest`)`` Required. The `DaiAuthenticationKey` objects to create. A maximum of 100 objects can be created in a batch. |

### Response body

Response object for `daiAuthenticationKeys.batchCreate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "daiAuthenticationKeys": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys#DaiAuthenticationKey`) } ] } ``` |

| Fields ||
|---|---|
| `daiAuthenticationKeys[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys#DaiAuthenticationKey`)`` The `DaiAuthenticationKey` objects created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CreateDaiAuthenticationKeyRequest

Request object for `daiAuthenticationKeys.create` method.

| JSON representation |
|---|
| ``` { "parent": string, "daiAuthenticationKey": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys#DaiAuthenticationKey`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The parent resource where this `DaiAuthenticationKey` will be created. Format: `networks/{networkCode}` |
| `daiAuthenticationKey` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.daiAuthenticationKeys#DaiAuthenticationKey`)`` Required. The `DaiAuthenticationKey` to create. |